<?php

namespace Lc\CaracoleBundle\Repository\User;

use Lc\CaracoleBundle\Repository\MerchantStoreTrait;
use Lc\SovBundle\Repository\RepositoryQueryInterface;
use Lc\SovBundle\Repository\User\GroupUserStore as SovGroupUserStore;

class GroupUserStore extends SovGroupUserStore
{
    use MerchantStoreTrait;

    public function filtersDefault(RepositoryQueryInterface $query): RepositoryQueryInterface
    {
        $query->filterByMerchant($this->merchant);
        return parent::filtersDefault($query);
    }

}
